Module ij
Package ij.macro

# Interface Debugger

All Known Implementing Classes:
  `Editor`

public interface Debugger

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FAST_TRACE`
`static final int`
`NOT_DEBUGGING`
`static final int`
`RUN_TO_CARET`
`static final int`
`RUN_TO_COMPLETION`
`static final int`
`STEP`
`static final int`
`TRACE`

## Method Summary

Modifier and Type
Method
Description
`int`
`debug(Interpreter interp, int mode)`

## Field Details

### NOT_DEBUGGING

static final int NOT_DEBUGGING

See Also:
  - Constant Field Values

### STEP

static final int STEP

See Also:
  - Constant Field Values

### TRACE

static final int TRACE

See Also:
  - Constant Field Values

### FAST_TRACE

static final int FAST_TRACE

See Also:
  - Constant Field Values

### RUN_TO_COMPLETION

static final int RUN_TO_COMPLETION

See Also:
  - Constant Field Values

### RUN_TO_CARET

static final int RUN_TO_CARET

See Also:
  - Constant Field Values

## Method Details

### debug

int debug(Interpreter interp, int mode)